.window-content {
    overflow: hidden;
    position: relative;
}

input {
    caret-shape: block;
    caret-color: black !important;
}

.aptitudes {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    align-items: center;
    flex-wrap: wrap;
    padding: 0;
    height: 100%;

    .starwars & {
        justify-content: space-between;
        padding: 0 2px;
        height: 99%;
    }

    .aptitude {
        width: 45%;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        box-shadow: 0 0 3px rgba(0, 0, 0, 1);
        border-radius: 5px;
        overflow: hidden;
        background-color: rgba(255, 255, 255, 0.5);

        .starwars & {
            width: calc(50% - 3px);
            background-color: black;
            color: white !important;
            @include neon-box;

            img {
                margin: 2px;
            }

        }

        img {
            width: 44px;
            height: 44px;
            border: none;
            border-radius: 0;
        }

        .label {
            font-size: 1.4em;
            font-weight: bold;
            text-align: center;
            padding: 0;
            flex-grow: 1;
        }

        .value {
            font-size: 1.5em;
            font-weight: bold;
            text-align: center;
            padding: 0;
            width: 44px;
            height: 44px;
            color: white;
            @include stroke(black, 1px);
            background: none;
        }

    }

}

.caracs {
    width: auto;
    display: flex;
    justify-content: space-evenly;
    flex-direction: row;
    flex: 0;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.8);
    padding: 5px 0 3px 0;
    position: relative;
    background-color: rgba(255, 255, 255, 0.5);

    .starwars & {
        background-color: black;

        // Apply the neon effect if not class "attributes"
        &:not(.attributes) {
            margin: 0 3px;
            @include neon-box;
        }

        .carac {
            &:not(.defense) {
                img {
                    @include neon-drop($neon-default, 2px);
                }
            }

            &.defense {
                img {
                    @include neon-drop(#ffff00, 2px);
                }
            }
        }

    }

    &.attributes {
        background: none;
        box-shadow: none;
        padding: 0 0 10px 0;
        margin: 0;

        .carac {

            img {
                width: 70px;
                height: 70px;
                border: none;
                flex: 0 0 70px;
                margin: 0;
            }

            .defense-value {
                // Absolute, centered horizontally and vertically
                position: absolute;
                top: 50%;
                left: -3px;
                right: 0;
                transform: translateY(-60%);
                font-size: 1.5em;
                font-weight: bold;
                text-align: center;
                color: white;
                @include stroke(black, 1px);
            }

            input.value,
            input.value-current {
                width: 20px;
                height: 20px;
                font-size: 0.7em;
            }

            input.value-current {
                top: 0;
                left: 0;
            }

            input.value {
                bottom: -5px;
            }

            .val-and-max {
                width: 50px;
                display: flex;
                flex-direction: row;
                justify-content: space-between;
                align-items: center;
                padding: 0;
                margin: 0;
                border: none;
                background: white;
                position: absolute;
                bottom: -7px;
                left: -10px;
                height: 11px;
                border-radius: 15px;
                filter: drop-shadow(0px 0px 5px rgba(0, 0, 0, 0.8));


                input {
                    width: auto;
                    height: 20px;
                    font-size: 0.7em;
                    border: none;
                    background: none;
                    text-align: center;
                    font-weight: bold;
                    padding: 0;
                }
            }
        }

    }

    .carac {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: start;
        margin: 0;
        padding: 0;
        transition: all 0.3s ease-in-out;
        cursor: pointer;
        position: relative;
        height: 46px;

        img {
            width: 40px;
            height: 40px;
            border: none;
            filter: drop-shadow(0px 0px 3px rgba(0, 0, 0, 1));
        }

        input.value {
            position: absolute;
            bottom: 0;
            left: 0;
            width: 40px !important;
            text-align: center;
            font-size: 1em;
            font-weight: bold;
            padding: 0;
            margin: 0;
            color: white;
            height: 15px;
            border: none;
            background: none;
            filter: drop-shadow(0px 0px 3px rgba(0, 0, 0, 1));
            @include stroke(black, 1px);

            &:focus {
                outline: none;
                border: none;
                box-shadow: none;
            }
        }
    }

}

.bars {
    height: 35px;

    .wrapper {
        padding-left: 34px;
        position: relative;
        filter: drop-shadow(0px 0px 5px rgba(0, 0, 0, 0.8));

        img.icon {
            position: absolute;
            top: 0;
            left: 0;
            width: 40px;
            height: 40px;
            border: none;
            transform: translateY(-25%);
            z-index: 501;
        }

        .bar {
            height: 20px;
            width: 97%;
            background-color: #f4f4f4;
            position: relative;
            padding-left: 40px;

            input {
                position: absolute;
                top: 0;
                left: 0;
                height: 100%;
                z-index: 500;
                font-weight: bold;
                border: none;
                padding-left: 15px;

                &:focus {
                    outline: none;
                    border: none;
                    box-shadow: none;
                }

            }

            .max {
                position: absolute;
                top: 0;
                right: 3px;
                font-weight: bold;
                z-index: 501;
                line-height: 20px;
            }

            .current {
                height: 100%;
                position: absolute;
                top: 0;
                left: 0;

                &.pv {
                    background-color: rgb(255, 160, 160);
                }

                &.pm {
                    background-color: rgb(160, 160, 255);
                }

            }

        }
    }


}

.progress-container {
    //filter: drop-shadow(0px 0px 3px rgba(0, 0, 0, 0.5));
    position: relative;
    filter: drop-shadow(0px 0px 3px rgba(0, 0, 0, 1));

    .starwars & {
        @include neon-drop(#00ffff);

        .progress-ring__circle-background {
            stroke: #000;
        }

        .progress-ring__circle {
            stroke: rgb(0, 180, 180);
        }

        .icon {
            @include neon-drop(#00ffff, 2px);
        }

        &.pv {
            @include neon-drop(red);

            .progress-ring__circle {
                stroke: rgb(180, 0, 0);
            }

            .icon {
                @include neon-drop(red, 2px);
            }
        }

    }

    .icon {
        position: absolute;
        left: 15px;
        top: 15px;
        padding: 0;
        margin: 0;
        width: 40px !important;
        height: 40px !important;
        border: none;
        filter: drop-shadow(0px 0px 3px rgba(0, 0, 0, 1));

    }

    input,
    .val, .max {
        position: absolute;
        bottom: -4px;
        left: 0;
        right: 0;
        bottom: 0;
        text-align: center;
        font-size: 1em;
        font-weight: bold;
        padding: 0;
        margin: 0;
        color: white;
        height: 25px;

        @include stroke(black, 1px);

        &:focus {
            outline: none;
            border: none;
            box-shadow: none;
        }
    }

    .val {
        input {
            position: absolute;
            top: 1px;
            left: 0;
            right: 0;
            height: 25px;
            border: none;
            background: none;
            box-shadow: none; 
        }
    }

    .max {
        position: absolute;
        top: -7px;
        right: 0;
        left: 0;
        font-weight: bold;
        text-align: center;
        font-size: 0.8em;
    }

    .progress-ring__circle {
        transform: rotate(-90deg);
        transform-origin: 50% 50%;
        stroke-dasharray: 169.65;
        /* Example value, replace with actual */
        stroke-dashoffset: 169.65;
        /* This will be dynamically updated */
    }

    .progress-ring__circle-background {
        stroke-dasharray: 169.65;
        /* Same as above, it won't change */
    }
}